## org.jfree.report.data
Class GlobalMasterRow

    java.lang.Object
      org.jfree.report.data.GlobalMasterRow

    public final class GlobalMasterRow

extends java.lang.Object

This data row holds all statefull information from the datasources of the report.

When doing subreports, a datarow only has access to its own dataset and the columns from the next direct subreport, which have been marked as exported.

Author:
  Thomas Morgner

Method Summary
`GlobalMasterRow` `advance()` This advances the cursor by one row and updates the flags.
`static GlobalMasterRow` `createReportRow(GlobalMasterRow parentRow, ReportContext reportContext)`
`static GlobalMasterRow` `createReportRow(ReportContext reportContext)`
`void` `dataRowChanged(MasterDataRowChangeEvent chEvent)` A call back method to communicate structural changes back to the master rows.
`GlobalMasterRow` `derive()` Derives an instance of this datarow.
`ExpressionDataRow` `getExpressionDataRow()`
`DataRow` `getGlobalView()`
`ImportedVariablesDataRow` `getImportedDataRow()`
`ParameterDataRow` `getParameterDataRow()`
`GlobalMasterRow` `getParentDataRow()`
`ReportDataRow` `getReportDataRow()`
`boolean` `isAdvanceable()`
`void` `setExportedDataRow(ImportedVariablesDataRow importedDataRow)`
`void` `setParameterDataRow(ParameterDataRow parameterDataRow)`
`void` `setReportDataRow(ReportDataRow reportDataRow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createReportRow

    public static GlobalMasterRow createReportRow(ReportContext reportContext)

### createReportRow

    public static GlobalMasterRow createReportRow(GlobalMasterRow parentRow,
                                                  ReportContext reportContext)

### getExpressionDataRow

    public ExpressionDataRow getExpressionDataRow()

### getReportDataRow

    public ReportDataRow getReportDataRow()

### setReportDataRow

    public void setReportDataRow(ReportDataRow reportDataRow)
                          throws DataSourceException

  Throws:
    `DataSourceException`

### getParameterDataRow

    public ParameterDataRow getParameterDataRow()

### setParameterDataRow

    public void setParameterDataRow(ParameterDataRow parameterDataRow)
                             throws DataSourceException

  Throws:
    `DataSourceException`

### getParentDataRow

    public GlobalMasterRow getParentDataRow()

### getImportedDataRow

    public ImportedVariablesDataRow getImportedDataRow()

### setExportedDataRow

    public void setExportedDataRow(ImportedVariablesDataRow importedDataRow)
                            throws DataSourceException

  Throws:
    `DataSourceException`

### derive

    public GlobalMasterRow derive()
                           throws DataSourceException

  Derives an instance of this datarow. That copy is completly disconnected from the original one and no change made to that copy affects the original datarow.

  Returns:
    the derived datarow.
  Throws:
    `DataSourceException`

### advance

    public GlobalMasterRow advance()
                            throws DataSourceException

  This advances the cursor by one row and updates the flags.

  Returns:
  Throws:
    `DataSourceException`

### isAdvanceable

    public boolean isAdvanceable()
                          throws DataSourceException

  Throws:
    `DataSourceException`

### getGlobalView

    public DataRow getGlobalView()

### dataRowChanged

    public void dataRowChanged(MasterDataRowChangeEvent chEvent)
                        throws DataSourceException

  A call back method to communicate structural changes back to the master rows. (This is only called from the expression row, as all other datarows are static).

  Parameters:
    `chEvent` -
  Throws:
    `DataSourceException`